Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
asterisk [Le 26/09/2021, 01:22]
90.79.55.31
asterisk [Le 26/09/2021, 16:55] (Version actuelle)
90.79.55.31
Ligne 25: Ligne 25:
  
 On télécharge la dernière version d’Asterisk et on l’installe :  On télécharge la dernière version d’Asterisk et on l’installe : 
-<​code>​mkdir /​usr/​src/​asterisk + 
-cd /​usr/​src/​asterisk+1 - Auparavant vérifier la version à utiliser et modifiez les trois lignes (3, 4, 5) en fonction de la version d'​Asterisk 
 + 
 +2 - Exécuter la ligne 6 en étant dans le répertoire /​usr/​src/​asterisk/​asterisk-18.6.0 (car configure est un fichier exécutable du répertoire asterisk-18.6.0) 
 +<​code>​ 
 +mkdir /​usr/​src/​asterisk 
 +cd /​usr/​src/​asterisk ​                      ​
 wget http://​downloads.asterisk.org/​pub/​telephony/​asterisk/​asterisk-18-current.tar.gz wget http://​downloads.asterisk.org/​pub/​telephony/​asterisk/​asterisk-18-current.tar.gz
 tar -xvzf asterisk-18-current.tar.gz tar -xvzf asterisk-18-current.tar.gz
-cd asterisk-18.6.0 ​                        # <--- Modifiez cette ligne en fonction de la version d'​Asterisk +cd asterisk-18.6.0 
-./configure --with-jansson-bundled ​        # <--- Exécuter cette ligne en étant dans le répertoire /​usr/​src/​asterisk/​asterisk-18.6.0 +./configure --with-jansson-bundled 
-make menuselect ​                           # car configure est un fichier exécutable du répertoire asterisk-18.6.0+make menuselect
 </​code>​ </​code>​
 +
 Lorsque vous faites le ./​configure,​ il est possible qu'il manque des paquets; dans ce cas, installez la version dev de ce paquet (par exemple, s'il manque le paquet libedit, exécutez la commande sudo apt-get install libedit-dev) puis relancez le ./​configure. Lorsque vous faites le ./​configure,​ il est possible qu'il manque des paquets; dans ce cas, installez la version dev de ce paquet (par exemple, s'il manque le paquet libedit, exécutez la commande sudo apt-get install libedit-dev) puis relancez le ./​configure.
  
  • asterisk.txt
  • Dernière modification: Le 26/09/2021, 16:55
  • par 90.79.55.31